[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLHandle

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Internal object representing a database internal handle

## Declaration

Source position: sqldb.pp line 59

`type TSQLHandle = class(TObject) end;`

## Inheritance

`TSQLHandle` |  | Internal object representing a database internal handle
`TObject`

## Description

TSQLHandle is an abstract internal object representing a database client handle. It is used by the various connections to implement the connection-specific functionality, and usually represents a low-level handle. It is used by the TSQLQuery component to communicate with the TSQLConnection descendent.

This object must not be used directly.

## See also

TSQLQuery |  | Class to handle SQL commands (with or without result set)
TSQLCursor |  | Internal object representing a database result set

Documentation generated on: Feb 26 2014